%define		_class		Auth
%define		upstream_name	%{_class}

Name:       php-pear-%{upstream_name}
Version:	1.6.4
Release:	%mkrel 6
Summary:	PHP PEAR authentication class
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Auth/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch

%description
The PEAR::Auth package provides methods for creating an authentication
system using PHP.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/README*
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}*
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 1.6.4-6.mga6
+ Revision: 964919
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-5.mga5
+ Revision: 746573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-4.mga5
+ Revision: 687171
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 516496
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.4-2.mga3
+ Revision: 375877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 1.6.4-1.mga1
+ Revision: 44598
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Auth

